import * as Victory from "victory";
import {
  Arc,
  ArcProps,
  Area,
  AreaProps,
  Axis,
  Background,
  BackgroundProps,
  Bar,
  BarProps,
  Border,
  BorderProps,
  Box,
  BoxProps,
  BrushHelpers,
  Candle,
  CandleProps,
  CanvasBar,
  CanvasBarProps,
  CanvasCurve,
  CanvasCurveProps,
  CanvasGroup,
  CanvasGroupProps,
  CanvasPoint,
  CanvasPointProps,
  Circle,
  ClipPath,
  ClipPathProps,
  Collection,
  ContainerType,
  CursorHelpers,
  Curve,
  CurveProps,
  Data,
  DefaultTransitions,
  Domain,
  ErrorBar,
  ErrorBarProps,
  Events,
  Flyout,
  FlyoutProps,
  Helpers,
  LabelHelpers,
  Line,
  LineSegment,
  LineSegmentProps,
  Log,
  Path,
  Point,
  PointProps,
  Portal,
  PropTypes,
  RawZoomHelpers,
  Rect,
  Scale,
  Selection,
  SelectionHelpers,
  Slice,
  SliceProps,
  Style,
  TSpan,
  Text,
  TextProps,
  TextSize,
  Transitions,
  UserProps,
  VictoryAccessibleGroup,
  VictoryAccessibleGroupProps,
  VictoryAnimation,
  VictoryAnimationProps,
  VictoryArea,
  VictoryAreaProps,
  VictoryAxis,
  VictoryAxisProps,
  VictoryBar,
  VictoryBarProps,
  VictoryBoxPlot,
  VictoryBoxPlotProps,
  VictoryBrushContainer,
  VictoryBrushContainerProps,
  VictoryBrushLine,
  VictoryBrushLineProps,
  VictoryCandlestick,
  VictoryCandlestickProps,
  VictoryChart,
  VictoryChartProps,
  VictoryClipContainer,
  VictoryClipContainerProps,
  VictoryContainer,
  VictoryContainerProps,
  VictoryCursorContainer,
  VictoryCursorContainerProps,
  VictoryErrorBar,
  VictoryErrorBarProps,
  VictoryGroup,
  VictoryGroupProps,
  VictoryHistogram,
  VictoryHistogramProps,
  VictoryLabel,
  VictoryLabelProps,
  VictoryLegend,
  VictoryLegendProps,
  VictoryLine,
  VictoryLineProps,
  VictoryPie,
  VictoryPieProps,
  VictoryPolarAxis,
  VictoryPolarAxisProps,
  VictoryPortal,
  VictoryPortalProps,
  VictoryScatter,
  VictoryScatterProps,
  VictorySelectionContainer,
  VictorySelectionContainerProps,
  VictorySharedEvents,
  VictorySharedEventsProps,
  VictoryStack,
  VictoryStackProps,
  VictoryTheme,
  VictoryThemeDefinition,
  VictoryTooltip,
  VictoryTooltipProps,
  VictoryTransition,
  VictoryVoronoi,
  VictoryVoronoiContainer,
  VictoryVoronoiContainerProps,
  VictoryVoronoiProps,
  VictoryZoomContainer,
  VictoryZoomContainerProps,
  Voronoi,
  VoronoiHelpers,
  VoronoiProps,
  Whisker,
  WhiskerProps,
  Wrapper,
  ZoomHelpers,
  addEvents,
  brushContainerMixin,
  combineContainerMixins,
  createContainer,
  cursorContainerMixin,
  makeCreateContainerFunction,
  selectionContainerMixin,
  useCanvasContext,
  voronoiContainerMixin,
  zoomContainerMixin,
} from "victory";

describe("victory", () => {
  it("ensure it has named exports", () => {
    expect(Area).toBeInstanceOf(Function);
  });
  it("ensure everything is exported correctly", () => {
    expect(Object.keys(Victory).sort()).toMatchInlineSnapshot(`
      Array [
        "Arc",
        "Area",
        "Axis",
        "Background",
        "Bar",
        "Border",
        "Box",
        "BrushHelpers",
        "Candle",
        "CanvasBar",
        "CanvasCurve",
        "CanvasGroup",
        "CanvasPoint",
        "Circle",
        "ClipPath",
        "Collection",
        "CommonProps",
        "CursorHelpers",
        "Curve",
        "Data",
        "DefaultTransitions",
        "Domain",
        "ErrorBar",
        "Events",
        "Flyout",
        "Helpers",
        "Hooks",
        "Immutable",
        "LabelHelpers",
        "Line",
        "LineHelpers",
        "LineSegment",
        "Log",
        "Path",
        "Point",
        "PointPathHelpers",
        "Portal",
        "PortalContext",
        "PropTypes",
        "RawZoomHelpers",
        "Rect",
        "Scale",
        "Selection",
        "SelectionHelpers",
        "Slice",
        "Style",
        "TSpan",
        "Text",
        "TextSize",
        "Timer",
        "TimerContext",
        "Transitions",
        "UserProps",
        "VictoryAccessibleGroup",
        "VictoryAnimation",
        "VictoryArea",
        "VictoryAxis",
        "VictoryBar",
        "VictoryBoxPlot",
        "VictoryBrushContainer",
        "VictoryBrushLine",
        "VictoryCandlestick",
        "VictoryChart",
        "VictoryClipContainer",
        "VictoryContainer",
        "VictoryCursorContainer",
        "VictoryErrorBar",
        "VictoryGroup",
        "VictoryHistogram",
        "VictoryLabel",
        "VictoryLegend",
        "VictoryLine",
        "VictoryPie",
        "VictoryPolarAxis",
        "VictoryPortal",
        "VictoryProvider",
        "VictoryScatter",
        "VictorySelectionContainer",
        "VictorySharedEvents",
        "VictoryStack",
        "VictoryTheme",
        "VictoryTooltip",
        "VictoryTransition",
        "VictoryVoronoi",
        "VictoryVoronoiContainer",
        "VictoryZoomContainer",
        "Voronoi",
        "VoronoiHelpers",
        "Whisker",
        "Wrapper",
        "ZoomHelpers",
        "addEvents",
        "brushContainerMixin",
        "combineContainerMixins",
        "createContainer",
        "cursorContainerMixin",
        "getBarPath",
        "getBarPosition",
        "getBarWidth",
        "getCornerRadius",
        "getCustomBarPath",
        "getHorizontalBarPath",
        "getPolarBarPath",
        "getStyle",
        "getVerticalBarPath",
        "getVerticalPolarBarPath",
        "makeCreateContainerFunction",
        "selectionContainerMixin",
        "useCanvasContext",
        "useData",
        "useDomain",
        "useScale",
        "useVictoryContext",
        "useVictoryProviderSync",
        "voronoiContainerMixin",
        "withContainer",
        "zoomContainerMixin",
      ]
    `);
  });
});
